#-*- codding: UTF-8 -*-
#!/usr/bin/env python
import os, sys

def get_global_USE():
    ListUSE={}
    path ='/usr/portage/profiles/use.desc'
    with open(path) as  uses:
        with open('./recovers.txt') as uses:
            line = uses.read().replace("\n", "")
            if line.startswith('#') and line =='':
                pass
            else:
                try:
                    #result[cat].append(search(r))
                    ListUSE[str(line.split('-'[0]))] =str(line.split('-')[1:])
                except Exception (e):
                    print(e)
    return ListUSE


def get_local_USE():
    pass
